org.richfaces.fragment.accordion

## Class RichFacesAccordion.AdvancedAccordionInteractions

- java.lang.Object
- - org.richfaces.fragment.switchable.AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions
  - - org.richfaces.fragment.accordion.RichFacesAccordion.AdvancedAccordionInteractions

- All Implemented Interfaces:
    VisibleComponentInteractions
  Enclosing class:
    RichFacesAccordion

      public class RichFacesAccordion.AdvancedAccordionInteractions
      extends AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesAccordion.AdvancedAccordionInteractions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.openqa.selenium.WebElement>` | `getAccordionHeaders()`
    `List<RichFacesAccordionItem>` | `getAccordionItems()`
    `RichFacesAccordionItem` | `getActiveItem()`
    `protected com.google.common.base.Predicate<org.openqa.selenium.WebDriver>` | `getConditionForContentSwitched(String textToContain)`
    `protected org.openqa.selenium.WebElement` | `getRootOfContainerElement()`
    `protected List<org.openqa.selenium.WebElement>` | `getSwitcherControllerElements()`

    - ### Methods inherited from class org.richfaces.fragment.switchable.AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions

      `getRootElement, isVisible, setSwitchType, setSwitchType, waitUntilContentSwitched`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesAccordion.AdvancedAccordionInteractions

          public RichFacesAccordion.AdvancedAccordionInteractions()

  - ### Method Detail

    - #### getAccordionItems

          public List<RichFacesAccordionItem> getAccordionItems()

    - #### getActiveItem

          public RichFacesAccordionItem getActiveItem()

    - #### getConditionForContentSwitched

          protected com.google.common.base.Predicate<org.openqa.selenium.WebDriver> getConditionForContentSwitched(String textToContain)

      Specified by:
        `getConditionForContentSwitched` in class `AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions`

    - #### getAccordionHeaders

          public List<org.openqa.selenium.WebElement> getAccordionHeaders()

    - #### getSwitcherControllerElements

          protected List<org.openqa.selenium.WebElement> getSwitcherControllerElements()

      Specified by:
        `getSwitcherControllerElements` in class `AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions`

    - #### getRootOfContainerElement

          protected org.openqa.selenium.WebElement getRootOfContainerElement()

      Specified by:
        `getRootOfContainerElement` in class `AbstractSwitchableComponent.AdvancedSwitchableComponentInteractions`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.